=== modified file 'NEWS'
--- NEWS	2007-04-17 00:59:30 +0000
+++ NEWS	2007-04-17 07:09:43 +0000
@@ -5,6 +5,9 @@
     * Merge directives can now be supplied as input to `merge` and `pull`,
       like bundles can.  (Aaron Bentley)
 
+    * ``selftest`` has new short options ``-f`` and ``-1``.  (Martin
+      Pool)
+
   INTERNALS:
 
     * bzrlib API compatability with 0.8 has been dropped, cleaning up some

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2007-04-12 15:03:56 +0000
+++ bzrlib/builtins.py	2007-04-17 06:26:23 +0000
@@ -2317,7 +2317,10 @@
     hidden = True
     takes_args = ['testspecs*']
     takes_options = ['verbose',
-                     Option('one', help='stop when one test fails'),
+                     Option('one',
+                             help='stop when one test fails',
+                             short_name='1',
+                             ),
                      Option('keep-output',
                             help='keep output directories when tests fail'),
                      Option('transport',
@@ -2335,7 +2338,8 @@
                             help='clean temporary tests directories'
                                  ' without running tests'),
                      Option('first',
-                            help='run all tests, but run specified tests first'
+                            help='run all tests, but run specified tests first',
+                            short_name='f',
                             ),
                      Option('numbered-dirs',
                             help='use numbered dirs for TestCaseInTempDir'),

